package by.zerg.pokerhandsbuilder.domain;

public class Action {
	public static final int POST_SB = 1;
	public static final int POST_BB = 2;
	public static final int FOLD = 3;
	public static final int CHECK = 4;
	public static final int CALL = 5;
	public static final int BET = 6;
	public static final int RAISE = 7;
	public static final int ALLIN = 8;

	private int type;
	private float amount;

	public Action(int type, float amount) {
		super();
		this.type = type;
		this.amount = amount;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public float getAmount() {
		return amount;
	}

	public void setAmount(float amount) {
		this.amount = amount;
	}

	public static String getActionName(int actionType) {
		switch (actionType) {
		case POST_SB:
			return "Posts SB";
		case POST_BB:
			return "Posts BB";
		case FOLD:
			return "Folds";
		case CHECK:
			return "Checks";
		case CALL:
			return "Calls";
		case BET:
			return "Bets";
		case RAISE:
			return "Raises";
		case ALLIN:
			return "All-in";
		default:
			return null;
		}
	}
}
