package by.zerg.pokerhandsbuilder.gui;

import java.awt.GridLayout;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.border.TitledBorder;

public class ActionPanel extends JPanel {
	public static final int VIEW1 = 0;
	public static final int VIEW2 = 1;
	public static final int VIEW3 = 2;
	public static final String FOLD = "FOLD";
	public static final String CHECK = "CHECK";
	public static final String CALL = "CALL";
	public static final String BET = "BET";
	public static final String RAISE = "RAISE";
	private JLabel actionLabel;
	private JButton foldButton;
	private JButton checkButton;
	private JButton callButton;
	private JButton betButton;
	private JButton raiseButton;
	private JTextField actionAmount;
	private JPanel actionAmountPanel;

	public ActionPanel(ActionListener performer) {
		setLayout(new GridLayout(2, 2));
		setBorder(new TitledBorder("Action"));

		foldButton = new JButton("Fold");
		foldButton.setActionCommand(FOLD);
		foldButton.addActionListener(performer);

		checkButton = new JButton("Check");
		checkButton.setActionCommand(CHECK);
		checkButton.addActionListener(performer);

		callButton = new JButton("Call");
		callButton.setActionCommand(CALL);
		callButton.addActionListener(performer);

		betButton = new JButton("Bet");
		betButton.setActionCommand(BET);
		betButton.addActionListener(performer);

		raiseButton = new JButton("Raise");
		raiseButton.setActionCommand(RAISE);
		raiseButton.addActionListener(performer);

		actionAmountPanel = new JPanel();
		actionAmount = new JTextField(4);
		actionAmountPanel.add(actionAmount);
	}

	public void switchView(int view) {
		removeAll();
		switch (view) {
		case VIEW1:
			add(foldButton);
			add(callButton);
			add(actionAmountPanel);
			add(raiseButton);
			break;

		case VIEW2:
			add(foldButton);
			add(checkButton);
			add(actionAmountPanel);
			add(raiseButton);
			break;

		case VIEW3:
			add(foldButton);
			add(checkButton);
			add(actionAmountPanel);
			add(betButton);
			break;

		default:
			break;
		}
		setVisible(false);
		setVisible(true);
	}

	public JLabel getActionLabel() {
		return actionLabel;
	}

	public void setActionLabel(JLabel actionLabel) {
		this.actionLabel = actionLabel;
	}

	public JButton getFoldButton() {
		return foldButton;
	}

	public void setFoldButton(JButton foldButton) {
		this.foldButton = foldButton;
	}

	public JButton getCheckButton() {
		return checkButton;
	}

	public void setCheckButton(JButton checkButton) {
		this.checkButton = checkButton;
	}

	public JButton getCallButton() {
		return callButton;
	}

	public void setCallButton(JButton callButton) {
		this.callButton = callButton;
	}

	public JButton getBetButton() {
		return betButton;
	}

	public void setBetButton(JButton betButton) {
		this.betButton = betButton;
	}

	public JButton getRaiseButton() {
		return raiseButton;
	}

	public void setRaiseButton(JButton raiseButton) {
		this.raiseButton = raiseButton;
	}

	public JTextField getActionAmount() {
		return actionAmount;
	}

	public void setActionAmount(JTextField actionAmount) {
		this.actionAmount = actionAmount;
	}
}
